<doctrine-mapping>
	<entity repository-class="App\Repository\ActivityRepository" name="App\Entity\ActivityEntity" table="activity">
		<id name="id" type="string" column="id" length="8"/>
		<field name="name" type="string" column="name" length="256"/>
		<field name="startDate" type="date" column="startDate" nullable="true"/>
		<field name="endDate" type="date" column="endDate" nullable="true"/>
		<field name="realStartDate" type="date" column="realStartDate" nullable="true"/>
		<field name="realEndDate" type="date" column="realEndDate" nullable="true"/>
		<many-to-one field="actor" target-entity="ActorEntity" nullable="true">
			<join-column name="actor" referenced-column-name="id" on-delete="SET NULL"/>
		</many-to-one>
		<field name="status" type="string" column="status" length="256"/>
	</entity>
</doctrine-mapping>